<?php
namespace Utils;

require '../vendor/autoload.php';

use PHPMailer\PHPMailer\PHPMailer;

class EnvioDeCorreos
{
    public static function Envio($correodestino)
    {
        $mail = new PHPMailer();
        try {
            $mail->isSMTP();
            $mail->Host = 'ti.maxillaris.pe';
            $mail->SMTPAuth = true;
            $mail->Username = 'centroodontologicomaxillaris@ti.maxillaris.pe';
            $mail->Password = 'JX2rvbsIRF^I';
            $mail->Port = 465;
            $mail->SMTPSecure = 'ssl'; // Agregado para indicar que se utiliza SSL
        
            $mail->setFrom('centroodontologicomaxillaris@ti.maxillaris.pe', 'Centro Odontologico Especializado');
            $mail->addAddress($correodestino);
            $mail->Subject = 'Correo electrónico de prueba desde PHPMailer';
            // Configuración de la codificación de caracteres
            $mail->CharSet = 'UTF-8';
            $mail->addCustomHeader('MIME-Version: 1.0');
            $mail->addCustomHeader('Content-Type: text/html; charset=UTF-8');
            $htmlContent = file_get_contents('../correos/plantillas/7dias.html');
            $mail->msgHTML($htmlContent);
        
            if (!$mail->send()) {
                throw new Exception('Error al enviar el correo electrónico: ' . $mail->ErrorInfo);
            }
        
            echo 'El correo electrónico se envió correctamente.';
        } catch (Exception $e) {
            echo 'Se produjo un error desconocido: ' . $e->getMessage();
        }
    }
}
